Method: projects.locations.deploymentGroups.list

List DeploymentGroups for a given project and location.

HTTP request

GET https://config.googleapis.com/v1/{parent=projects/*/locations/*}/deploymentGroups

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of deployment groups. Format: 'projects/{projectId}/locations/{location}'. It takes the form projects/{project}/locations/{location}.

Authorization requires the following IAM permission on the specified resource parent:

  • config.deploymentgroups.list

Query parameters

Parameters
pageSize

integer

Optional. When requesting a page of resources, 'pageSize' specifies number of resources to return. If unspecified, at most 500 will be returned. The maximum value is 1000.

pageToken

string

Optional. Token returned by previous call to 'deploymentGroups.list' which specifies the position in the list from where to continue listing the deployment groups.

filter

string

Optional. Lists the DeploymentGroups that match the filter expression. A filter expression filters the deployment groups listed in the response. The expression must be of the form '{field} {operator} {value}' where operators: '<', '>', '<=', '>=', '!=', '=', ':' are supported (colon ':' represents a HAS operator which is roughly synonymous with equality). {field} can refer to a proto or JSON field, or a synthetic field. Field names can be camelCase or snake_case.

Examples: - Filter by name: name = "projects/foo/locations/us-central1/deploymentGroups/bar"

  • Filter by labels:
  • Resources that have a key called 'foo' labels.foo:*
  • Resources that have a key called 'foo' whose value is 'bar' labels.foo = bar
  • Filter by state:

  • DeploymentGroups in CREATING state. state=CREATING
orderBy

string

Optional. Field to use to sort the list.

Request body

The request body must be empty.

Response body

The response message for the deploymentGroups.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "deploymentGroups": [
    {
      object (DeploymentGroup)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
deploymentGroups[]

object (DeploymentGroup)

The deployment groups from the specified collection.

nextPageToken

string

Token to be supplied to the next deploymentGroups.list request via pageToken to obtain the next set of results.

unreachable[]

string

Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • config.googleapis.com/config.deploymentgroups.list

For more information, see the IAM documentation.